//+------------------------------------------------------------------+
//|                                                       #Proba.mq4 |
//|                          Beknazarov Husanboy, Uzbekistan  2012. |
//|                           mail: husanboybeknazarov@operamail.com |
//+------------------------------------------------------------------+
#property copyright "Beknazarov Husanboy, Uzbekistan  2012."
#property link      "mail: husanboybeknazarov@operamail.com"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red

double CrossUp[];
double CrossDown[];
extern int MTF_Stochastic_TF = 60;
double alertTag;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0, DRAW_ARROW, EMPTY,2);
   SetIndexArrow(0, 233);
   SetIndexBuffer(0, CrossUp);
   SetIndexStyle(1, DRAW_ARROW, EMPTY,2);
   SetIndexArrow(1, 234);
   SetIndexBuffer(1, CrossDown);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
   int limit, i, counter;
   double stoch1,stoch2,stoch3,stoch4;
   double Range, AvgRange;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;

   limit=Bars-counted_bars;
   
   for(i = 0; i <= limit; i++) {
   
      counter=i;
      Range=0;
      AvgRange=0;
      for (counter=i ;counter<=i+9;counter++)
      {
         AvgRange=AvgRange+MathAbs(High[counter]-Low[counter]);
      }
      Range=AvgRange/10;
       
      stoch1= iCustom(NULL, NULL, "#MTF_Stochastic",MTF_Stochastic_TF,8,3,3,0,1,0,i);
      stoch2= iCustom(NULL, NULL, "#MTF_Stochastic",MTF_Stochastic_TF,8,3,3,0,1,1,i);
      stoch3= iCustom(NULL, NULL, "#MTF_Stochastic",MTF_Stochastic_TF,8,3,3,0,1,0,i+1);
      stoch4= iCustom(NULL, NULL, "#MTF_Stochastic",MTF_Stochastic_TF,8,3,3,0,1,1,i+1);    
      
      if (stoch1 > stoch2 && stoch3 < stoch4) 
      {
         CrossUp[i] = (Low[i]-5*Point);
         if ( alertTag!=Time[0])
         {
          PlaySound("news.wav");// buy wav
          Alert(Symbol(),"  M",Period()," #Grail#  Buy - ",Hour(),":",Minute(),":",Seconds());
         
         }
          alertTag = Time[0];
      }
      else if ( stoch1 < stoch2 && stoch3 > stoch4 )
       {
         CrossDown[i] = (High[i]+5*Point );
         if ( alertTag!=Time[0])
         {
          PlaySound("news.wav"); //sell wav
           Alert(Symbol(),"  M",Period()," #Grail#  Sell - ",Hour(),":",Minute(),":",Seconds());
         }
          alertTag = Time[0];
      }

   }
   return(0);
  
}

